# Soperf

SoPerf is a parallel performance metric chart rendering gem. It displays start and end times for different processes in a visual chart.

## Usage

    DATA = {parser:     {somedata: ['blah'], start: 500, end: 1133},
            executor:   {somedata: ['blah'], start: 30, end: 100},
            grouper:    {somedata: ['blah'], start: 300, end: 560},
            merger:     {somedata: ['blah'], start: 20, end: 240}}

    puts SoPerf::Chart.new(DATA).render {width: 120}

##Parameters

SoPerf::Chart.render can take optional parameters in the form of a hash

    color:   Specify whether or not to color the chart (defaults to true)
    width:   Specify an optionally forced width (defaults to fit to terminal)
    summary: Toggle displaying summary data
