# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require './lib/soperf/version'

Gem::Specification.new do |spec|
  spec.name        = "soperf"
  spec.version     = SoPerf::VERSION
  spec.authors     = ["Wesley Boynton"]
  spec.email       = ["wwboynton@gmail.com"]
  spec.licenses    = ['MIT']
  spec.summary     = %q{Ascii table generator for performance metrics}
  spec.description = %q{SoPerf generates colored ascii charts for displaying parallel performance metrics in the terminal.}

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'colorize'

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
